Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Utel
Posts: 31
Registered: ‎04-13-2011
My Device: BlackBerry Torch 9800

Scroll view and BBM SDK issue

[ Edited ]

Hi everybody !

 

I have a

"Class 'net.rim.device.api.ui.ScrollView' not found" when I run my app on OS 5 smartphone (a BB Bold 9700).

 

Th app worked before on both OS5 and OS6 smartphones. This is a new release and I just added BBM functionalities and change payment subscription security stuff. Howewer it runs on OS5 and OS6 simulators.

 

I've checked many things and cleaned, repackaged a lot of times -> it not works..... then I removed all BBM SDK references and it works !

 

Problem is :

1. Targeted OS is OS 5.0 and more

2. RIM does not give me the choice, i HAVE TO implements BBM functionalities in my app

3. I do not understand : BBM SDK 1.3 documentation indicates that its compatible with OS 5.0+ !

 

:Sweatdrop::Helpsmilie: HELP ME PLEASE !

 

Is BBM SDK is actually only compatible with OS6+ or am I missing something ?

 

Thanks in advance...

Please use plain text.
Developer
peter_strange
Posts: 19,607
Registered: ‎07-14-2008
My Device: Not Specified

Re: Scroll view and BBM SDK issue

[ Edited ]

You are not including the BBM jar in your app are you?  That is the only way I can see you getting this problem and it being a BBM problem.  But I doubt it is that.

 

To test this, try running in the 9300 Simulator that you can get from the BBM download page.  Also try in a SImulator that does not have BBM, an older OS 5.0 Simulator.  Your code should not have this problem in either, though you might have a BBM dependency issue in the one without BBM.  . 

 

"RIM does not give me the choice, i HAVE TO implements BBM functionalities in my app"

You don't have to have BBM directly included in your application, there are a variety of ways you can keep BBM at arms length. 

Please use plain text.
Developer
Utel
Posts: 31
Registered: ‎04-13-2011
My Device: BlackBerry Torch 9800

Re: Scroll view and BBM SDK issue

Hi,

Thanks for your reply.

I have the jar file in my app, referenced in the build path, but not checked in the "Order & Export" tab (If I check it, I can not package the app)

I've tried on BB 9300 simulator and it works fine.
On a 8520 simulator without BBM, it gives a "Class 'net_rim_bb_qm_platform' not found" error which is the BBM dependency error you said.

I have downloaded my app on the Bold 9700 device through test section of the AppWorld... no ScrollView error !

???? Do you have any explication on what's happened ?

Thanks again.

Please use plain text.